Bug 215391 - astro/libosmium - local protozero include not installed
Summary: astro/libosmium - local protozero include not installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-18 18:48 UTC by mmd
Modified: 2016-12-25 17:20 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mmd 2016-12-18 18:48:56 UTC
To process PBF (protocolbuffer binary format) files, libosmium comes with a local copy of the protozero library (https://github.com/osmcode/libosmium/tree/master/include/protozero).

However, this library is not installed along with the astro/libosmium port and there doesn't seem to be a dependency to protozero. As a result, I'm getting compilation errors due to missing includes:

/usr/local/include/osmium/io/detail/pbf_output_format.hpp:46:10: fatal error: 'protozero/pbf_builder.hpp' file not found
#include <protozero/pbf_builder.hpp>


There's also some utf8 include only library included in libosmium. Not sure, if we have the same issue there as well.
Comment 1 commit-hook freebsd_committer 2016-12-19 11:18:59 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Dec 19 11:18:45 UTC 2016
New revision: 428919
URL: https://svnweb.freebsd.org/changeset/ports/428919

Log:
  - Install all required headers

  These headers belong to third party libraries (gdalcpp, protozero,
  utfcpp), but since these are not in the ports yet, just install
  bundled ones for now.

  PR:		215391
  Submitted by:	mmd.osm+freebsd@gmail.com

Changes:
  head/astro/libosmium/Makefile
  head/astro/libosmium/pkg-plist
Comment 2 Jan Beich freebsd_committer 2016-12-19 12:39:00 UTC
(In reply to commit-hook from comment #1)
> +include/utf8.h
> +include/utf8/checked.h
> +include/utf8/core.h
> +include/utf8/unchecked.h

Did you miss devel/utf8cpp installing the same files?
Comment 3 Dmitry Marakasov freebsd_committer 2016-12-25 17:19:47 UTC
(In reply to Jan Beich (mail not working) from comment #2)

> Did you miss devel/utf8cpp installing the same files?

Yes. Fixed, thans!
Comment 4 commit-hook freebsd_committer 2016-12-25 17:20:26 UTC
A commit references this bug:

Author: amdmi3
Date: Sun Dec 25 17:19:33 UTC 2016
New revision: 429443
URL: https://svnweb.freebsd.org/changeset/ports/429443

Log:
  - Fix conflict with utf8cpp by using it as dependency

  PR:		215391
  Reported by:	jbeich

Changes:
  head/astro/libosmium/Makefile
  head/astro/libosmium/pkg-plist